Infinera Groove G30 Cryptographic Module

Certificate details

Certificate ID #5538
Status active
Validation dates 05.10.2026
Sunset date 04-10-2031
Standard FIPS 140-3
Security level 1
Type Hardware
Embodiment MultiChipStand
Caveat When operated in approved mode. When installed, initialized and configured as specified in Section Life-Cycle Assurance of the Security Policy
Exceptions
  • Roles, services, and authentication: Level 3
  • Non-invasive security: N/A
  • Mitigation of other attacks: N/A
Description Infinera Groove G30 Cryptographic Module is an innovative stackable transport solution for cloud and data center networks that delivers 4.8 terabits of capacity throughput in a compact 1RU form factor. Infinera Groove G30 Cryptographic Module enables Wide Area Network (WAN) cloud connectivity services, including 10G, 40G, 100G, and 400G client services. Infinera Groove G30 Cryptographic Module supports programmable DWDM line interface bandwidth and performance to optimize high-capacity transmission from 100G to 600G per wavelength in metro, regional, or long-haul DCI applications. As a key solution of Infinera Open Line System (OLS), ROADM (Reconfigurable Optical Add-Drop Multiplexer) provides reconfigurable multiplexing and de-multiplexing of wavelengths that are added, dropped, or passed through from one DWDM interface to up to three other DWDM interfaces. Infinera Groove G30 Cryptographic Module provides DWDM Optical Multiplexing/De-multiplexing, optical amplification, tunable dispersion compensation, optical time domain reflectometer, optical channel monitoring, and protection with relevant Optical Cards.
Vendor Infinera Corporation (Nokia) https://www.infinera.com
Lab Asia Pacific IT Laboratory, TUV NORD
Algorithms
  • AES-CBCA5112
  • AES-CTRAES 3844
  • AES-ECBAES 4707
  • AES-GCMC646
  • AES-GMACAES 3844
  • AES-KWA5112
  • Counter DRBGA5112
  • ECDSA KeyGen (FIPS186-5)A5112
  • ECDSA SigGen (FIPS186-5)A5112
  • ECDSA SigVer (FIPS186-4)A5112
  • ECDSA SigVer (FIPS186-5)A5112
  • HMAC-SHA-1A5112
  • HMAC-SHA2-224A5112
  • HMAC-SHA2-256A5112
  • HMAC-SHA2-384A5112
  • HMAC-SHA2-512A5112
  • KAS-ECC-SSC Sp800-56Ar3A5112
  • KAS-FFC-SSC Sp800-56Ar3A5112
  • KDF IKEv2A5112
  • KDF SNMPA5112
  • KDF SSHA5112
  • RSA KeyGen (FIPS186-5)A5112
  • RSA SigGen (FIPS186-5)A5112
  • RSA SigVer (FIPS186-4)A5112
  • RSA SigVer (FIPS186-5)A5112
  • Safe Primes Key GenerationA5112
  • Safe Primes Key VerificationA5112
  • SHA-1A5112
  • SHA2-224A5112
  • SHA2-256A5112
  • SHA2-384A5112
  • SHA2-512A5112
  • SHA3-256A5148
  • TLS v1.2 KDF RFC7627A5112
  • TLS v1.3 KDFA5112
References

This certificate's webpage directly references 0 certificates, transitively this expands into 0 certificates.

Security policy

policy file processing did not finish successfully.
Download pdf: OK
Convert pdf to text: OK
Extract keywords: ERROR

Extracted keywords

Symmetric Algorithms
AES, AES-, AES-256, AES-128, AES-192, CAST, DES, HMAC
Asymmetric Algorithms
RSA 2048, ECDH, ECDHE, ECDSA, Diffie-Hellman, DHE, DH
Hash functions
SHA-1, SHA1, SHA256, SHA384, SHA512, SHA-256, SHA3-256, MD5
Schemes
MAC, Key Agreement, AEAD
Protocols
SSH, SSHv2, TLS v1.2, TLS v1.3, TLS, TLS 1.2, TLS 1.3, TLSv1.3, IKEv2, IPsec
Randomness
DRBG, RNG
Elliptic Curves
P-224, P-256, P-384, P-521
Block cipher modes
ECB, GCM
TLS cipher suites
TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384, TLS_ECDHE_RSA_WITH_AES_128_GCM_SHA256, TLS_DHE_RSA_WITH_AES_256_GCM_SHA384, TLS_DHE_RSA_WITH_AES_128_GCM_SHA256, TLS_ECDHE_ECDSA_WITH_AES_256_GCM_SHA384, TLS_ECDHE_ECDSA_WITH_AES_128_GCM_SHA256

Trusted Execution Environments
PSP, SSC
Vendor
NXP

Security level
Level 1

Cross-references

Outgoing
  • 3844 - historical - Juniper Networks MX10003 3D Universal Edge Router with JNP-MIC1-MACSEC MACSec MIC and EX9253 Ethernet Switch with EX9253-6Q12C-M MACSec Line Card

Automated analysis

Automated inference - use with caution

All attributes shown in this section (e.g., links between certificates, products, vendors, and known CVEs) are generated by automated heuristics and have not been reviewed by humans. These methods can produce false positives or false negatives and should not be treated as definitive without independent verification. This applies equally to the Cross-references section below. If you want to know more about how this data is computed and how reliable it is, see our documentation on automated analysis. If you believe any information here is inaccurate or harmful, please submit feedback.

No automatically derived data are available in this section.

Cross-references

Loading...

Processing updates

Feed
  • The certificate data changed.
  • The certificate was first processed.

Raw data

{
  "_type": "sec_certs.sample.fips.FIPSCertificate",
  "cert_id": 5538,
  "dgst": "9162dedf2f66de62",
  "heuristics": {
    "_type": "sec_certs.sample.fips.FIPSCertificate.Heuristics",
    "algorithms": {
      "_type": "Set",
      "elements": [
        "ECDSA SigVer (FIPS186-5)A5112",
        "RSA KeyGen (FIPS186-5)A5112",
        "HMAC-SHA-1A5112",
        "TLS v1.2 KDF RFC7627A5112",
        "SHA2-224A5112",
        "KDF SSHA5112",
        "SHA2-384A5112",
        "HMAC-SHA2-224A5112",
        "HMAC-SHA2-256A5112",
        "HMAC-SHA2-512A5112",
        "SHA3-256A5148",
        "Safe Primes Key GenerationA5112",
        "ECDSA SigGen (FIPS186-5)A5112",
        "RSA SigGen (FIPS186-5)A5112",
        "KDF SNMPA5112",
        "KAS-ECC-SSC Sp800-56Ar3A5112",
        "Safe Primes Key VerificationA5112",
        "ECDSA SigVer (FIPS186-4)A5112",
        "KAS-FFC-SSC Sp800-56Ar3A5112",
        "HMAC-SHA2-384A5112",
        "AES-CBCA5112",
        "AES-KWA5112",
        "ECDSA KeyGen (FIPS186-5)A5112",
        "TLS v1.3 KDFA5112",
        "SHA-1A5112",
        "SHA2-256A5112",
        "AES-CTRAES 3844",
        "SHA2-512A5112",
        "AES-GMACAES 3844",
        "RSA SigVer (FIPS186-4)A5112",
        "RSA SigVer (FIPS186-5)A5112",
        "Counter DRBGA5112",
        "KDF IKEv2A5112",
        "AES-GCMC646",
        "AES-ECBAES 4707"
      ]
    },
    "cpe_matches": null,
    "direct_transitive_cves": null,
    "extracted_versions": {
      "_type": "Set",
      "elements": [
        "-"
      ]
    },
    "indirect_transitive_cves": null,
    "module_processed_references": {
      "_type": "sec_certs.sample.certificate.References",
      "directly_referenced_by": null,
      "directly_referencing": null,
      "indirectly_referenced_by": null,
      "indirectly_referencing": null
    },
    "module_prunned_references": {
      "_type": "Set",
      "elements": []
    },
    "policy_processed_references": {
      "_type": "sec_certs.sample.certificate.References",
      "directly_referenced_by": null,
      "directly_referencing": {
        "_type": "Set",
        "elements": [
          "3844"
        ]
      },
      "indirectly_referenced_by": null,
      "indirectly_referencing": {
        "_type": "Set",
        "elements": [
          "3844"
        ]
      }
    },
    "policy_prunned_references": {
      "_type": "Set",
      "elements": [
        "3844"
      ]
    },
    "related_cves": null,
    "verified_cpe_matches": null
  },
  "pdf_data": {
    "_type": "sec_certs.sample.fips.FIPSCertificate.PdfData",
    "br1_deviations": 0,
    "br1_tables": null,
    "is_br1_format": false,
    "keywords": {
      "asymmetric_crypto": {
        "ECC": {
          "ECDH": {
            "ECDH": 10,
            "ECDHE": 3
          },
          "ECDSA": {
            "ECDSA": 46
          }
        },
        "FF": {
          "DH": {
            "DH": 4,
            "DHE": 2,
            "Diffie-Hellman": 18
          }
        },
        "RSA": {
          "RSA 2048": 7
        }
      },
      "certification_process": {},
      "cipher_mode": {
        "ECB": {
          "ECB": 2
        },
        "GCM": {
          "GCM": 5
        }
      },
      "cplc_data": {},
      "crypto_engine": {},
      "crypto_library": {},
      "crypto_protocol": {
        "IKE": {
          "IKEv2": 19
        },
        "IPsec": {
          "IPsec": 107
        },
        "SSH": {
          "SSH": 67,
          "SSHv2": 24
        },
        "TLS": {
          "TLS": {
            "TLS": 128,
            "TLS 1.2": 3,
            "TLS 1.3": 3,
            "TLS v1.2": 18,
            "TLS v1.3": 17,
            "TLSv1.3": 1
          }
        }
      },
      "crypto_scheme": {
        "AEAD": {
          "AEAD": 2
        },
        "KA": {
          "Key Agreement": 1
        },
        "MAC": {
          "MAC": 11
        }
      },
      "device_model": {},
      "ecc_curve": {
        "NIST": {
          "P-224": 14,
          "P-256": 16,
          "P-384": 20,
          "P-521": 16
        }
      },
      "eval_facility": {},
      "fips_cert_id": {
        "Cert": {
          "#1": 4,
          "#3844": 1,
          "#4": 2,
          "#4707": 1,
          "#4770": 1,
          "#5": 1
        }
      },
      "fips_certlike": {
        "Certlike": {
          "AES 256": 2,
          "AES 3844": 9,
          "AES 4707": 5,
          "AES 4770": 5,
          "AES Cert. #4707": 1,
          "AES Cert. #4770": 1,
          "AES- 128": 1,
          "AES-128": 1,
          "AES-192": 2,
          "AES-256": 8,
          "DRBG 256": 2,
          "HMAC 256": 2,
          "HMAC- SHA-1": 4,
          "HMAC- SHA256 ; 384": 2,
          "HMAC- SHA384 ; 512": 2,
          "HMAC- SHA512": 1,
          "HMAC-SHA-1": 4,
          "HMAC-SHA2": 2,
          "PKCS 1": 2,
          "RSA 2048": 7,
          "SHA-1": 18,
          "SHA-256": 2,
          "SHA1": 1,
          "SHA2- 256": 4,
          "SHA2- 384": 4,
          "SHA2-224": 10,
          "SHA2-256": 21,
          "SHA2-384": 15,
          "SHA2-512": 15,
          "SHA256": 2,
          "SHA3-256": 7,
          "SHA384": 2,
          "SHA512": 2
        }
      },
      "fips_security_level": {
        "Level": {
          "Level 1": 4
        }
      },
      "hash_function": {
        "MD": {
          "MD5": {
            "MD5": 2
          }
        },
        "SHA": {
          "SHA1": {
            "SHA-1": 18,
            "SHA1": 1
          },
          "SHA2": {
            "SHA-256": 2,
            "SHA256": 2,
            "SHA384": 2,
            "SHA512": 2
          },
          "SHA3": {
            "SHA3-256": 7
          }
        }
      },
      "ic_data_group": {},
      "javacard_api_const": {},
      "javacard_packages": {},
      "javacard_version": {},
      "os_name": {},
      "pq_crypto": {},
      "randomness": {
        "PRNG": {
          "DRBG": 35
        },
        "RNG": {
          "RNG": 13
        }
      },
      "side_channel_analysis": {},
      "standard_id": {
        "FIPS": {
          "FIPS 140-3": 11,
          "FIPS 202": 2,
          "FIPS PUB 140-3": 1,
          "FIPS186-4": 5,
          "FIPS186-5": 19
        },
        "NIST": {
          "NIST SP 800-131A": 1,
          "NIST SP 800-38D": 1,
          "SP 800-131A": 1,
          "SP 800-133": 1,
          "SP 800-135": 1,
          "SP 800-38D": 1,
          "SP 800-38F": 1,
          "SP 800-52": 2,
          "SP 800-90A": 1,
          "SP 800-90B": 1
        },
        "PKCS": {
          "PKCS 1": 1
        },
        "RFC": {
          "RFC 4106": 1,
          "RFC 4252": 1,
          "RFC 4253": 1,
          "RFC 5246": 1,
          "RFC 5288": 2,
          "RFC 5647": 2,
          "RFC 7296": 2,
          "RFC 8446": 1,
          "RFC7627": 17
        }
      },
      "symmetric_crypto": {
        "AES_competition": {
          "AES": {
            "AES": 36,
            "AES-": 4,
            "AES-128": 1,
            "AES-192": 2,
            "AES-256": 8
          },
          "CAST": {
            "CAST": 86
          }
        },
        "DES": {
          "DES": {
            "DES": 3
          }
        },
        "constructions": {
          "MAC": {
            "HMAC": 9
          }
        }
      },
      "tee_name": {
        "AMD": {
          "PSP": 25
        },
        "IBM": {
          "SSC": 4
        }
      },
      "tls_cipher_suite": {
        "TLS": {
          "TLS_DHE_RSA_WITH_AES_128_GCM_SHA256": 1,
          "TLS_DHE_RSA_WITH_AES_256_GCM_SHA384": 1,
          "TLS_ECDHE_ECDSA_WITH_AES_128_GCM_SHA256": 1,
          "TLS_ECDHE_ECDSA_WITH_AES_256_GCM_SHA384": 1,
          "TLS_ECDHE_RSA_WITH_AES_128_GCM_SHA256": 1,
          "TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384": 1
        }
      },
      "vendor": {
        "NXP": {
          "NXP": 4
        }
      },
      "vulnerability": {}
    },
    "module_algorithms": {
      "_type": "Set",
      "elements": [
        "ECDSA SigVer (FIPS186-5)A5112",
        "RSA KeyGen (FIPS186-5)A5112",
        "HMAC-SHA-1A5112",
        "TLS v1.2 KDF RFC7627A5112",
        "SHA2-224A5112",
        "KDF SSHA5112",
        "SHA2-384A5112",
        "HMAC-SHA2-224A5112",
        "HMAC-SHA2-256A5112",
        "HMAC-SHA2-512A5112",
        "SHA3-256A5148",
        "Safe Primes Key GenerationA5112",
        "ECDSA SigGen (FIPS186-5)A5112",
        "RSA SigGen (FIPS186-5)A5112",
        "KDF SNMPA5112",
        "KAS-ECC-SSC Sp800-56Ar3A5112",
        "Safe Primes Key VerificationA5112",
        "ECDSA SigVer (FIPS186-4)A5112",
        "KAS-FFC-SSC Sp800-56Ar3A5112",
        "HMAC-SHA2-384A5112",
        "AES-CBCA5112",
        "AES-KWA5112",
        "ECDSA KeyGen (FIPS186-5)A5112",
        "TLS v1.3 KDFA5112",
        "SHA-1A5112",
        "SHA2-256A5112",
        "AES-CTRAES 3844",
        "SHA2-512A5112",
        "AES-GMACAES 3844",
        "RSA SigVer (FIPS186-4)A5112",
        "RSA SigVer (FIPS186-5)A5112",
        "Counter DRBGA5112",
        "KDF IKEv2A5112",
        "AES-GCMC646",
        "AES-ECBAES 4707"
      ]
    },
    "policy_algorithms": {
      "_type": "Set",
      "elements": []
    },
    "policy_metadata": {
      "/Author": "Hawes, David J. (Fed)",
      "/CreationDate": "D:20260929071750-04\u002700\u0027",
      "/Creator": "Microsoft\u00ae Word for Microsoft 365",
      "/ModDate": "D:20260929071750-04\u002700\u0027",
      "/Producer": "Microsoft\u00ae Word for Microsoft 365",
      "pdf_file_size_bytes": 1577946,
      "pdf_hyperlinks": {
        "_type": "Set",
        "elements": [
          "https://infinera.lightning.force.com/lightning/n/Downloads2"
        ]
      },
      "pdf_is_encrypted": false,
      "pdf_number_of_pages": 72
    }
  },
  "state": {
    "_type": "sec_certs.sample.fips.InternalState",
    "module": {
      "_type": "sec_certs.sample.document_state.DocumentState",
      "convert_ok": true,
      "download_ok": true,
      "extract_ok": true,
      "json_hash": null,
      "source_hash": null,
      "txt_hash": null
    },
    "policy": {
      "_type": "sec_certs.sample.document_state.DocumentState",
      "convert_ok": true,
      "download_ok": true,
      "extract_ok": false,
      "json_hash": null,
      "source_hash": "838b9067078d411678d2e548574ec7d131a7da32355130e2781a9bf30050d0a9",
      "txt_hash": "9ac5d9b65acfdd8cf193a185191586b2079504ca758b0c4346525f78c2b511a7"
    }
  },
  "web_data": {
    "_type": "sec_certs.sample.fips.FIPSCertificate.WebData",
    "caveat": "When operated in approved mode. When installed, initialized and configured as specified in Section Life-Cycle Assurance of the Security Policy",
    "certificate_pdf_url": null,
    "date_sunset": "2031-10-04",
    "description": "Infinera Groove G30 Cryptographic Module is an innovative stackable transport solution for cloud and data center networks that delivers 4.8 terabits of capacity throughput in a compact 1RU form factor. Infinera Groove G30 Cryptographic Module enables Wide Area Network (WAN) cloud connectivity services, including 10G, 40G, 100G, and 400G client services. Infinera Groove G30 Cryptographic Module supports programmable DWDM line interface bandwidth and performance to optimize high-capacity transmission from 100G to 600G per wavelength in metro, regional, or long-haul DCI applications. As a key solution of Infinera Open Line System (OLS), ROADM (Reconfigurable Optical Add-Drop Multiplexer) provides reconfigurable multiplexing and de-multiplexing of wavelengths that are added, dropped, or passed through from one DWDM interface to up to three other DWDM interfaces. Infinera Groove G30 Cryptographic Module provides DWDM Optical Multiplexing/De-multiplexing, optical amplification, tunable dispersion compensation, optical time domain reflectometer, optical channel monitoring, and protection with relevant Optical Cards.",
    "embodiment": "MultiChipStand",
    "exceptions": [
      "Roles, services, and authentication: Level 3",
      "Non-invasive security: N/A",
      "Mitigation of other attacks: N/A"
    ],
    "fw_versions": null,
    "historical_reason": null,
    "hw_versions": null,
    "level": 1,
    "mentioned_certs": {},
    "module_name": "Infinera Groove G30 Cryptographic Module",
    "module_type": "Hardware",
    "revoked_link": null,
    "revoked_reason": null,
    "standard": "FIPS 140-3",
    "status": "active",
    "sw_versions": null,
    "tested_conf": null,
    "validation_history": [
      {
        "_type": "sec_certs.sample.fips.FIPSCertificate.ValidationHistoryEntry",
        "date": "2026-10-05",
        "lab": "Asia Pacific IT Laboratory, TUV NORD",
        "validation_type": "Initial"
      }
    ],
    "vendor": "Infinera Corporation (Nokia)",
    "vendor_url": "https://www.infinera.com"
  }
}